<?php
// $Id: kdbrunidentifier.php 973 2009-08-19 09:40:28Z s_voec01 $
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

ADEI::RequireClass("KDBRunIdentifier", true);

class KDBFileIdentifier
{
    public $self = 0;
    
    function __construct($arg1, $arg2 = null)
    {
        switch (func_num_args()) {
        case 1:
            $r = new_KDBFileIdentifier($arg1);
            break;
        default:
            $r = new_KDBFileIdentifier($arg1->GetName() . "/" . $arg2);
        }
        $this->self = $r;
    }
    
    function GetRun()
    {
        $run = KDBFileIdentifier_GetRun($this->self);
        return new KDBRunIdentifier($run);
    }
    
    function GetFileName()
    {
        return KDBFileIdentifier_GetFileName($this->self);
    }
    
    function AsString()
    {
        return KDBFileIdentifier_AsString($this->self);
    }
}

?>
