<?php
// $Id: kdbrunidentifier.php 1002 2009-08-31 12:18:00Z s_voec01 $
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

class KDBRunIdentifier
{
    public $self = 0;
    
    function __construct($text)
    {
        if (is_resource($text)) {
            $this->self = $text;
        }
        else {
            $this->self = new_KDBRunIdentifier($text);
        }
    }
    
    function GetRun()
    {
        return KDBRunIdentifier_GetRun($this->self);
    }
    
    function GetSubRun()
    {
        return KDBRunIdentifier_GetSubRun($this->self);
    }
    
    function GetRunName()
    {
        return KDBRunIdentifier_GetRunName($this->self);
    }
    
    function GetName()
    {
        return KDBRunIdentifier_GetName($this->self);
    }
    
    function IsValid()
    {
        return KDBRunIdentifier_IsValid($this->self);
    }
}

?>
